Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Jul 2017, 00:38
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
Tahr64 Contributed Packages and SFS
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [13 Posts]  
Author Message
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Sun 11 Oct 2015, 03:00    Post subject:  Tahr64 Contributed Packages and SFS  

Ekiga_4.0.1-4a_x86_64_6.0.2.sfs by xanad and watchdog:

https://copy.com/Bm6CjXYUqVgYBmP4

It needs libcapi and libodbc in tahr64_6.0.3.8.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Sun 11 Oct 2015, 05:59    Post subject:  

Linphone_3.6.1-tahr64.pet:

https://copy.com/bAnBufn99zQSjMQk
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Tue 13 Oct 2015, 06:44    Post subject:  

master-pdf-editor-3.4.12-amd64.pet:

https://copy.com/BDKOjcYdoFJWHaKd

It needs qt4.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Mon 19 Oct 2015, 03:03    Post subject:  

skype-4.3.0.37-tahr64_6.0.3.9.sfs:

https://copy.com/qwGRKs19zY1zU0US

You need to load 32bit compatibility sfs (don't forget to run "ldconfig" after loading) and a 32bit qt4 sfs (qt-4.8.2-stripped.sfs should be good). You may need to tune /etc/pulse/default.pa for your hardware changing the lines:

Code:
load-module module-alsa-sink device=hw:1,0
load-module module-alsa-source device=hw:0,0


I used my pulseaudio 4.0 for tahr_6.0.3 32 bit.

EDIT:link updated.
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 979
Location: UK

PostPosted: Fri 30 Oct 2015, 17:09    Post subject: Tahr64 Contributed Packages and SFS
Subject description: More Pets
 

For fans of Google Chrome.
Notes:

On first run of the menu item "Get Latest Chrome Version Tahr64" Chrome is installed and is set as the default browser.
(Wait for the "dog" to give you the O/K before launching!)
To update subsequently just use PPM to uninstall Chrome then run it again.

The apps menu chromeapplauncher.desktop file may be dragged onto the desktop from /usr/share/applications.Editing it to assign a keyboard
shortcut then enables quick internet searching straight from the desktop.

Details of current Chrome releases are always here:
www.googlechromereleases.blogspot.co.uk
GetLatest64bitChromeVersionForTahr-V1.pet
Description 
pet

 Download 
Filename  GetLatest64bitChromeVersionForTahr-V1.pet 
Filesize  50.43 KB 
Downloaded  287 Time(s) 
ChromeAppLauncherTahr64-V1.pet
Description 
pet

 Download 
Filename  ChromeAppLauncherTahr64-V1.pet 
Filesize  14.85 KB 
Downloaded  259 Time(s) 

_________________
Regards ETP



Kennels

Last edited by ETP on Mon 23 Nov 2015, 15:44; edited 2 times in total
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 979
Location: UK

PostPosted: Sat 31 Oct 2015, 06:41    Post subject: Tahr64 Contributed Packages and SFS
Subject description: Enhanced wbar pet for Tahr64
 

Enhanced wbar pet for Tahr64 - (wbar_2.3.0.1_enhanced_tahr64-V1.pet)

The minor enhancement is that OOTB a trash icon is included on the bar which mirrors the state of
the desktop trash icon. This is a feature that wbar has previously lacked. The bar runs across the
top of the screen but if anyone absolutely must run it accross the bottom please PM me for details
of the modifications to the code that would have to be made.

The 4MB pet can be found here:

https://drive.google.com/file/d/0B_iVVJCd9q09TFlhZ2dFVHJhNk0/view?usp=sharing

Dependencies include xdotool (attached) & PupSnap-2.5. http://www.smokey01.com/radky/PupMates.html
OOTB icons are present on the bar for Google Chrome & Chrome Apps Launcher. (see previous post)
If you do not require those use the "Config" icon to remove them.

A brief video of it in action can be seen here:

https://drive.google.com/file/d/0B_iVVJCd9q09VXFTWFg3cm1UQzQ/view?usp=sharing
wbar-for-tahr.png
 Description   The Trash icon displayed depends on the icon theme that you are using
 Filesize   31.73 KB
 Viewed   1682 Time(s)

wbar-for-tahr.png

xdotool_3.20130111.1-3.1_amd64.pet
Description 
pet

 Download 
Filename  xdotool_3.20130111.1-3.1_amd64.pet 
Filesize  45.54 KB 
Downloaded  263 Time(s) 

_________________
Regards ETP



Kennels
Back to top
View user's profile Send private message 
corvus


Joined: 12 Jun 2015
Posts: 125
Location: In the peninsula shaped like a boot.

PostPosted: Thu 17 Mar 2016, 06:44    Post subject: Geany and Geany-plugins 1.27  

Hello all, I have compiled Geany-1.27 and Geany-plugins-1.27 on Tahr64. I tried it only as a text editor and not as IDE, seems to work well.

Link to download:
Geany 1.27 (md5sum: 36a32b5eef527e670a3d47d7212ba2f0);
Geany-plugins 1.27 (md5sum: 2b0345d05fc3ea589ceca0e29b074791);

Here is a list of plugins:
addons; autoclose; automark; codenav; commander; debugger; defineformat; geanyctags; geanydoc; geanyextrasel; geanyinsertnum; geanylatex; geanylipsum; geanymacro; geanyminiscript; geanynumberedbookmarks; geanyprj; geanysendmail; geanyvc; geniuspaste; lineoperations; overview; pairtaghighlighter; pohelper; pretty-printer; projectorganizer; scope; shiftcolumn; spellcheck; tableconvert; treebrowser; updatechecker; xmlsnippets;

corvus

_________________
Hoc unum scio, me nihil scire. Socrate
Back to top
View user's profile Send private message 
Puppyt

Joined: 09 May 2008
Posts: 685
Location: Gatton, Queensland

PostPosted: Fri 02 Dec 2016, 20:03    Post subject:  

Hi watchdog - would you mind please updating your link mentioned a few posts back - seems to be dead
watchdog wrote:
skype-4.3.0.37-tahr64_6.0.3.9.sfs:

https://copy.com/qwGRKs19zY1zU0US

<snip>

EDIT:link updated.


EDIT I found a working link here: http://archive.org/download/Puppy_Linux_Tahr64/skype-4.3.0.37-tahr64_6.0.3.9.sfs

And, perhaps not the best place to post but I have had troubles with Skype/webcam recording in TahrPup64. Skype v 4.3.0.27 I actually had working after much following of your excellent threads on the issue - I have similar problems really as Mike Walsh was having (and I followed his travails on ubuntu forums as well). Then, I *had* to go and upgrade my camera (now Logitech C930e) and microphone (Sennheiser pc 7 - a usb headset). Had troubles with recording vid from camera, and then I got in over my head...
Queries:
1) Using SkypeforLinux64 alpha from M$. Seems to be functional, but would it be wise to load your SFS over it?
2) PulseAudio is up to v 9.0 now https://www.freedesktop.org/wiki/Software/PulseAudio/ but the last in PPM is v 4.0. I am trying to compile as, in a fresh TahrPup install although pulseaudio4.0 is shown already installed in PPM, in terminal the command "pulseaudio --start" returns "bash: pulseaudio: command not found". Do you or anyone have suggestions regarding this situation?
3) pavucontrol is now v3.0 https://freedesktop.org/software/pulseaudio/pavucontrol/#download but v 2.0.2 is the latest available on PPM. Again, I'm trying to compile the tarball with devx onboard etc, but the documentation for a noob like me is not helpful - I don't know how to specify my make command in this instance. Is anyone interested in updating the pet for TahrPup for the masses?
In the interim I'll backtrack and install the last-available Skype-related stuff from PPM and oscartalk's repository,
Cheers

_________________
What I get up to when I'm not on the Puppy Linux Murga forum:
http://scholar.google.com/citations?user=EMQxfgYAAAAJ
Back to top
View user's profile Send private message Visit poster's website 
Puppyt

Joined: 09 May 2008
Posts: 685
Location: Gatton, Queensland

PostPosted: Fri 02 Dec 2016, 22:42    Post subject:  

Skype 4.3.0.37-tahr64_6.0.3.9.sfs journey feedback
After installing in the steps outlined in your http://www.murga-linux.com/puppy/viewtopic.php?t=94807&start=210 thread - Many Thanks watchdog for those helpful hints and others scattered in other threads - I've run into dependency chases again. I have TahrPup64 in a i7-2600/3.6GHz cpu, 16gb RAM setup. qt-4.8.2-stripped.sfs loaded, as well as qt-4.8.5-i686-stripped_5.6.1.sfs because something called for it. pavucontrol_2.0-2_amd64.deb needed (I think - it could have been other Skype hangers-on):
- libatkmm-1.6-1_2.22.7-2ubuntu1_amd64.deb
- libglibmm-2.4-1c2a_2.39.93-0ubuntu1_amd64.deb
- libcanberra-gtk3-module_0.30-0ubuntu3_amd64.deb
- libcanberra-gtk3-0_0.30-0ubuntu3_amd64.deb
- libgtkmm-3.0-1_3.10.1-0ubuntu2_amd64.deb
and now I get in terminal:
Code:
root# pavucontrol
pavucontrol: error while loading shared libraries: libpulse-mainloop-glib.so.0: wrong ELF class: ELFCLASS32
Don't know the first thing to correct this problem from here. Already I am seeing new missing dependencies that seem to have cropped up like Russian dolls:
libcairomm-1.0-1
libgtk-3-0 (3 times)
libpangomm-1.4-1

Talk about Skype redux uncomfortably straddling the fence between 32- and 64-bit requirements, in addition I think to the the reservations I see others more knowledgeable about I regarding Pulse.

I need pavucontrol I think so that I can choose my usb headset, can only have "Virtual Device" (non) selections in the Audio mic/speaker options. Both C930e webcam and pc 7 usb headsets are working in VLC capture mode (but then it borks when I try to save a test file, sigh). Still working through it. Bit of a chore, I must say. Anyone with a successful Skype recipe for TahrPup64, please post Smile

_________________
What I get up to when I'm not on the Puppy Linux Murga forum:
http://scholar.google.com/citations?user=EMQxfgYAAAAJ
Back to top
View user's profile Send private message Visit poster's website 
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Sat 03 Dec 2016, 01:55    Post subject:  

Puppyt wrote:

Queries:
1) Using SkypeforLinux64 alpha from M$. Seems to be functional, but would it be wise to load your SFS over it?


Yes. They are different packages. I'm not using tahr64 but in slacko 64 700 beta2 i have both skype 4.3.0.37 legacy and the new skypeforlinux alpha. Despite my knowledge about skype in puppy I must say I do not use it very much. More testing needed by users.

Quote:
2) PulseAudio is up to v 9.0 now https://www.freedesktop.org/wiki/Software/PulseAudio/ but the last in PPM is v 4.0. I am trying to compile as, in a fresh TahrPup install although pulseaudio4.0 is shown already installed in PPM, in terminal the command "pulseaudio --start" returns "bash: pulseaudio: command not found". Do you or anyone have suggestions regarding this situation?


For skype 4.3.0.37 legacy pulseaudio 2.0 should be enough: no need to upgrade pulseaudio. I have skype in wary with pulseaudio 2.0. The pulseaudio 4.0 compiled in tahr is still working in all my puppies. It works in slacko64 700 beta2, too, if you have care to pick the needed dependencies from tahr puppy. I don't know why you fail to start pulseaudio. Try in a fresh install using the package skype-4.3.0.37-tahr64_6.0.3.9.sfs in archive.org. I have uploaded it again to google drive:

https://drive.google.com/file/d/0B9iMb4UZBeFkMzhtOTJxbFE5Vnc/view?usp=sharing

It worked when I was using tahr64.

Quote:
3) pavucontrol is now v3.0 https://freedesktop.org/software/pulseaudio/pavucontrol/#download but v 2.0.2 is the latest available on PPM. Again, I'm trying to compile the tarball with devx onboard etc, but the documentation for a noob like me is not helpful - I don't know how to specify my make command in this instance. Is anyone interested in updating the pet for TahrPup for the masses?
In the interim I'll backtrack and install the last-available Skype-related stuff from PPM and oscartalk's repository,
Cheers


I have not much knowledge about pavuncontrol in puppy. I think it's not a good idea to install pavucontrol in puppy only to run skype. Puppy does not use pulseaudio and the packages provided of pulseaudio are only a workaround to use skype.

EDIT: my skype 4.3.0.37 legacy is still working in tahr64 (I use it with fatdog's kernel 3.18.7 but it is not important).
pic.png
 Description   
 Filesize   254.81 KB
 Viewed   571 Time(s)

pic.png

Back to top
View user's profile Send private message 
Puppyt

Joined: 09 May 2008
Posts: 685
Location: Gatton, Queensland

PostPosted: Sat 03 Dec 2016, 07:00    Post subject:  

Thanks for the tips, watchdog - since my last message I did try loading the SkypeforLinux 64bit deb over my (your) earlier Skype sfs. I got clear audio using it with the usb headset (hw 3,0), but my video was very patchy, reported my caller. I have looked into making a skype-specific TahrPup 32-bit and just go with that, but your message has got the cogs going again and I'll retrace my steps again in TahrPup64. Cheers Smile
_________________
What I get up to when I'm not on the Puppy Linux Murga forum:
http://scholar.google.com/citations?user=EMQxfgYAAAAJ
Back to top
View user's profile Send private message Visit poster's website 
Puppyt

Joined: 09 May 2008
Posts: 685
Location: Gatton, Queensland

PostPosted: Sat 03 Dec 2016, 09:32    Post subject:  

No luck - this Puppy is without a pulse registering. I've had enough of 2 days sledgehammering this walnut, so will load a fresh Tarpup 32-bit and steer clear of 64-bit shoehorning for now.
After carefully going back through the "Workable way to install skype 4.3..." to get the ingredients right, I still get no choice in selecting audio channels in Skype 4.3, while its big brother (in both senses of the term) Skype4Linux will play and record audio well, but gives shoddy video. VLC-captured audiovis from the camera and usb headset is going well, however...
So this image shows my missing pulse - loading skype from your script here http://www.murga-linux.com/puppy/viewtopic.php?p=858861#858861, into terminal. Not really sure what value needs to be changed in client.conf - have set default.conf values to hw 3,0 already. The highlighted Virtual Device is to demonstrate that I can't actually change those options, surely due to incorrect pulseaudio settings somewhere.
Code:
 root# pacmd list
No PulseAudio daemon running, or not running as session daemon.

Thanks again, but this is too much wall headbutting for me Wink
[img]file:///root/skype6.jpg[/img]
skype6.jpg
 Description   
 Filesize   67.11 KB
 Viewed   543 Time(s)

skype6.jpg


_________________
What I get up to when I'm not on the Puppy Linux Murga forum:
http://scholar.google.com/citations?user=EMQxfgYAAAAJ
Back to top
View user's profile Send private message Visit poster's website 
watchdog

Joined: 28 Sep 2012
Posts: 1387
Location: Italy

PostPosted: Sat 03 Dec 2016, 10:27    Post subject:  

I think that your problems arises when you want to use the headset: have you tried to run skype4.3 with auricolars and default mic? In /etc/pulse/default.pa:

Code:
load-module module-alsa-sink device=hw:1,0
load-module module-alsa-source device=hw:0,0


For webcam mic I have tested working in my case:

Code:
load-module module-alsa-sink device=hw:1,0
load-module module-alsa-source device=hw:2,0


Never tested a headset.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [13 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0640s ][ Queries: 15 (0.0095s) ][ GZIP on ]